Announcement

Collapse
No announcement yet.

Classic Radeon Drivers Are On Their Deathbed

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Classic Radeon Drivers Are On Their Deathbed

    Phoronix: Classic Radeon Drivers Are On Their Deathbed

    The classic Mesa Radeon (R300/R600) drivers that provide open-source OpenGL support on Linux instead of the Gallium3D alternatives are likely to be dropped in the coming days...

    http://www.phoronix.com/vr.php?view=MTAwMzY

  • #2
    As far as I undersand radeon and r200 will remain, right? Thanks

    Comment


    • #3
      Originally posted by kbios View Post
      As far as I undersand radeon and r200 will remain, right? Thanks
      Correct! Because "radeon" and "r200" are not supported by gallium. Thus there is only the classic driver to provide 3D support to them. =)

      Comment


      • #4
        Originally posted by kbios View Post
        As far as I undersand radeon and r200 will remain, right? Thanks
        I still use an r200 chip, so seeing this headline made me shudder. I had largely the same question you did.

        But the radeon driver has been updated. It's just not Gallium3d.

        http://fedoraproject.org/wiki/Features/Radeon3DUpdate

        Update the radeon r100/r200 3D drivers to work with kernel modesetting and DRI2.

        Comment


        • #5
          Originally posted by halfmanhalfamazing View Post
          Update the radeon r100/r200 3D drivers to work with kernel modesetting and DRI2.
          They don't already? http://www.x.org/wiki/RadeonFeature

          Comment


          • #6
            Originally posted by Wubbbi View Post
            Correct! Because "radeon" and "r200" are not supported by gallium. Thus there is only the classic driver to provide 3D support to them. =)
            This is a horribly confusing response.

            R100 and R200 are supported by classic style drivers. In those drivers, there is the DRI1 code paths and DRI2. DRI2 requires TTM and Kernel Modesetting.

            R300 and R600 are supported by both classic and Gallium drivers. In their classic drivers, again, there are DRI1 and DRI2 paths.

            Eric suggested removing the DRI1 support from the R100 and R200 drivers. Alex and Dave mentioned going ahead and removing the R300 and R600 classic drivers (both DRI1 and DRI2 paths) at the same time, but leaving the R100 and R200 DRI2 classic paths in place.

            Comment


            • #7
              This would not only hurt Solaris and BSD, this would also hurt PPC where KMS still causes trouble (fdo bugs 30227, 37169, some more reports in Gentoo bugtracker/forums).

              Comment


              • #8
                Originally posted by chithanh View Post
                This would not only hurt Solaris and BSD, this would also hurt PPC where KMS still causes trouble (fdo bugs 30227, 37169, some more reports in Gentoo bugtracker/forums).
                If slowlaris or bsd crowd cares they should do something about this. It's such simple.

                Comment


                • #9
                  Originally posted by chithanh View Post
                  This would not only hurt Solaris and BSD, this would also hurt PPC where KMS still causes trouble (fdo bugs 30227, 37169, some more reports in Gentoo bugtracker/forums).
                  Since according to the article ther isn't much work done to that drivers anyway what's the harm for them to simply package the current mesa? Or fork it?

                  Comment


                  • #10
                    Originally posted by chithanh View Post
                    (fdo bugs 30227, 37169, some more reports in Gentoo bugtracker/forums).
                    I dont think that the Gentoo bugtracker/forum are an good place for mesa/driver bugs

                    Comment

                    Working...
                    X